module AdvancedDCL
  module Dev
    def param_init
      @param = Parameter.new(Common.param)

      @param.init("maxwnu", Fixnum, "swiset", "swiget", 0, 0)
      @param.init("iws", Fixnum, "swiset", "swiget", 0, 0)
      @param.init("wsname01", String, "swcset", "swcget", 0, 0)
      @param.init("wsname02", String, "swcset", "swcget", 0, 0)
      @param.init("wsname03", String, "swcset", "swcget", 0, 0)
      @param.init("font1", String, "swcset", "swcget", 0, 0)
      @param.init("font2", String, "swcset", "swcget", 0, 0)
      @param.init("cl2tn", String, "swcset", "swcget", 0, 0)
      
      @param.init("iwidth", Fixnum, "swiset", "swiget", 0, 0)
      @param.init("iheight", Fixnum, "swiset", "swiget", 0, 0)
      @param.init("fname", String, "swcset", "swcget", 0, 0)
      @param.init("title", String, "swcset", "swcget", 0, 0)
      @param.init("clrmap", String, "swcset", "swcget", 0, 0)

      @param.init("iposx", Fixnum, "swiset", "swiget", 0, 0)
      @param.init("iposy", Fixnum, "swiset", "swiget", 0, 0)
      @param.init("lwait", TrueClass, "swlset", "swlget", 0, 0)
      @param.init("lwait0", TrueClass, "swlset", "swlget", 0, 0)
      @param.init("lwait1", TrueClass, "swlset", "swlget", 0, 0)
      @param.init("ldump", TrueClass, "swlset", "swlget", 0, 0)
      @param.init("lalt", TrueClass, "swlset", "swlget", 0, 0)
      @param.init("lkey", TrueClass, "swlset", "swlget", 0, 0)
      @param.init("bitmap", String, "swcset", "swcget", 0, 0)

      @param.init("lcorol", TrueClass, "swlset", "swlget", 0, 0)
      @param.init("lsep", TrueClass, "swlset", "swlget", 0, 0)
      @param.init("lprint", TrueClass, "swlset", "swlget", 0, 0)
      @param.init("lpr", String, "swcset", "swcget", 0, 0)

      @param.init("nlnsize", Fixnum, "swiset", "swiget", 0, 0)

      @temp_param = @param.dup
      @backup = @param.dup
      
    end
    
    private :param_init

    def open(device, rot=false)
      if(rot == true)
	if(device == 'X')
	  DCL.gropn(-1)
	elsif(device == 'PS')
	  DCL.gropn(-2)
	elsif(device == 'Tek')
	  DCL.gropn(-3)
	else
	  raise ArgumentError, "device "+device.to_s+" is not exist"
	end
      else
	if(device == 'X')
	  DCL.gropn(1)
	elsif(device == 'PS')
	  DCL.gropn(2)
	elsif(device == 'Tek')
	  DCL.gropn(3)
	else
	  raise ArgumentError, "device "+device.to_s+" is not exist"
	end
      end
    end

    def close
      DCL.grcls
    end

    module_function :param_init
    module_function :open
    module_function :close

    param_init
  end
end 
