require "narray"
require "advanced"

include AdvancedDCL

n = 9
y = NArray.sfloat(n).indgen

devopen("X")
Frame.new

x1 = 0.1
x2 = 0.9
xc = 0.5

Plot.lineindex=1
y = 0.1 * (10 - y)

(0..(n-1)).each{|i|
  Plot.vdraw([x1, x2], [y[i], y[i]])
}

Plot.vdraw([xc, xc], [0.05, 0.95]) 

#--------------------- super/sub script ------------------------

Text.vdraw(xc, y[0], 'SGTXV|SUP"RST_SUB"')

Text.charindex=2
Text.lcntl=true
Text.vdraw(xc, y[1], 'SGTXV|SUP"RST_SUB"')

Text.shift=0.5
Text.small=0.5
Text.vdraw(xc, y[2], 'SGTXV|SUP"RST_SUB"')

#--------------------- font selection ---------------------------

Text.charindex=1
Text.charsize=0.05
Text.vdraw(xc, y[3], "ABCDEFG abcdefg")

Text.ifont=2
Text.vdraw(xc, y[4], "ABCDEFG abcdefg")

Text.charindex=3
Text.vdraw(xc, y[5], "ABCDEFG abcdefg")

devclose
